%-------------------------------------------------------------------------
%
%                        TINIndex Analysis Package
%
%         A software package for the generation of TIN terrain models
%
%                        Ralph M. Parsons Laboratory
%                   Massachusetts Institute of Technology
%   
%
%                           Beta Release, 3/2002
%
% 
%    tophist.m:  MATLAB script to plot DEM and TIN topmodel pdfs        
%
%-------------------------------------------------------------------------


%Get watershed name and access file in output directory
watershed = input('Enter watershed name: ', 's');
directory = strcat(watershed,'output');
fileg = strcat(directory, '/tophistgrid.txt');
filet = strcat(directory, '/tophisttin.txt');

%Read in Arc/Info unload table into array

gridtable = dlmread(fileg, ',');
tintable = dlmread(filet, ',');

%Sum total number of points

sumgrid = sum(gridtable(:,4));
sumtin = sum(tintable(:,4));

%Get min and max 
maxgrid = max(gridtable(:,3));
maxtin = max(tintable(:,3));
mingrid = min(gridtable(:,2));
mintin = min(tintable(:,2));
low = min(mingrid, mintin);
high = max(maxgrid, maxtin);

%Get range midpoint

gridtable(:,5) = (gridtable(:,2) + gridtable(:,3))/2;
tintable(:,5) = (tintable(:,2) + tintable(:,3))/2;

%Plot histograms comparison

figure;
plot(gridtable(:,5), gridtable(:,4)/sumgrid, 'ro-');
hold;grid;
plot(tintable(:,5), tintable(:,4)/sumtin, 'bx-');
legend('DEM','TIN');
xlabel('ln (a / tan b)');
ylabel('Probability distribution function');
axis([low high 0 1]);
title('Comparison of Topmodel PDF');

%Clean up
clear;

